#pragma once

#include "PlatformImage.h"

#include <wrl.h>

#include <memory>

class Win32WicInterface;

struct IWICBitmap;

class Win32WicImage : public PlatformImage
{
public:
	Win32WicImage(Image* image);

	virtual ~Win32WicImage();

	IWICBitmap* getBitmap();

private:
	Microsoft::WRL::ComPtr<IWICBitmap> mWicImage;
	std::unique_ptr<Win32WicInterface> mWicInterface;
};